#!/usr/sbin/dtrace -s 
#
# pragma D option quiet

pid$1:libc.so.1:malloc:entry 
{ 
 self->trace = 1; 
 self->size = arg0; 
} 
pid$1:libc.so.1:malloc:return 
/self->trace == 1/ 
{ 
 printf("Ptr=0x%p Size=%d\n", arg1, self->size); 
 self->trace = 0; 
 self->size = 0; 
} 
pid$1:libc.so.1:free:entry 
{ 
 printf("Ptr=0x%p\n", arg0); 
} 
