#! /usr/sbin/dtrace -s
#
# pragma D option quiet

syscall::read:entry
{
 self->tsr=timestamp;
}
syscall::read:return
/self->tsr/
{
 @rtime[execname] = quantize(timestamp - self->tsr);
 self->tsr=0;
}
syscall::write:entry
{
 self->tsw=timestamp;
}
syscall::write:return
/self->tsw/
{
 @wtime[execname] = quantize(timestamp - self->tsw);
 self->tsw=0;
}
profile-2s
{
 printa("%s read\n%@d\n", @rtime);
 trunc(@rtime, 0);
 printa("%s write\n%@d\n", @wtime);
 trunc(@wtime, 0);
 printf("\n\n\n");
}
