#! /usr/sbin/dtrace -s
#
# pragma D option quiet

syscall::read:entry
/execname != "dtrace"/
{
 self->tsr=timestamp;
 self->fdescr=arg0;
}
syscall::read:return
/self->tsr/
{
 printf("%s read %d bytes from descriptor: %d\n", execname, arg0, self->fdescr);
 self->tsr=0;
 self->fdescr=0;
}
syscall::write:entry
/execname != "dtrace"/
{
 self->tsw=timestamp;
 self->fdescw=arg0;
}
syscall::write:return
/self->tsw/
{
 printf("%s written %d bytes to descriptor: %d\n", execname, arg0, self->fdescw);
 self->tsw=0;
 self->fdescw=0;
}
