#! /usr/sbin/dtrace -s
#
# pragma D option quiet

syscall:::entry
{
 self->ts=timestamp;
}
syscall:::return
/self->ts/
{
 @cnt[execname, probefunc]=avg((timestamp-self->ts)/1000000);
 self->ts=0;
}
profile-5s
{
 printa("%s, syscall %s avg time == %@d [ms]\n", @cnt);
 trunc(@cnt, 0);
 printf("\n\n\n");
}
